> For the complete documentation index, see [llms.txt](https://docs.otherplanet.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.otherplanet.dev/scripts/op-garages-v3/exports-list/client-side.md).

# Client-side

{% hint style="warning" %}
IMPORTANT: This Exports work only above Version 2.5.0 of OP Garages Script&#x20;
{% endhint %}

## isInGarageZone

***

```lua
exports['op-garages']:isInGarageZone()
```

Return boolean value

Example Usage:

```lua
RegisterCommand('isingaragezone', function()
    local isInGarageZone = exports['op-garages']:isInGarageZone()
    print(isInGarageZone)
end)
```

## openGarageIfInZone

***

```lua
exports['op-garages']:openGarageIfInZone()
```

Open garage if player is inside zone of some garage.

This is useful if you want to integrate radial menu into the script.

Example Usage:

```lua
RegisterCommand('openisingaragezone', function()
    local isInGarageZone = exports['op-garages']:isInGarageZone()
    if isInGarageZone then
        exports['op-garages']:openGarageIfInZone()
    end
end)
```

## OpenGarageHere

***

```lua
exports['op-garages']:OpenGarageHere(coords, disablePreview)
```

This event will Open Garage or Hide and Save Current player Vehicle.

* coords: `vec4`&#x20;
* disablePreview: `boolean`

Example Usage:

```lua
RegisterCommand('testgarage', function()
    exports['op-garages']:OpenGarageHere()
end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-garages-v3/exports-list/client-side.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
